Last Comment Bug 486783 - Run unit tests on pre-existing nightly builds
: Run unit tests on pre-existing nightly builds
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: All All
: P2 normal (vote)
: ---
Assigned To: Chris AtLee [:catlee]
:
Mentors:
Depends on: 383136 460282 463605 518641 519194 519727
Blocks: 419893 511159
  Show dependency treegraph
 
Reported: 2009-04-03 16:21 PDT by John O'Duinn [:joduinn] (please use "needinfo?" flag)
Modified: 2013-08-12 21:54 PDT (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
buildbotcustom changes for running unittests on nightly/depend (optimized) builds (3.43 KB, patch)
2009-09-16 07:10 PDT, Chris AtLee [:catlee]
bhearsum: review+
lukasblakk+bugs: review+
catlee: checked‑in+
Details | Diff | Review
buildbot-configs for unittests on optimized builds (11.43 KB, patch)
2009-09-16 07:54 PDT, Chris AtLee [:catlee]
bhearsum: review+
catlee: checked‑in+
Details | Diff | Review
Fix mac nightly bustage (1.49 KB, patch)
2009-09-27 16:29 PDT, Nick Thomas [:nthomas]
nthomas: checked‑in+
Details | Diff | Review
Disable mochitest-a11y on non-unittest mac builds (1.98 KB, patch)
2009-10-05 15:21 PDT, Chris AtLee [:catlee]
bhearsum: review+
catlee: checked‑in+
Details | Diff | Review

Description John O'Duinn [:joduinn] (please use "needinfo?" flag) 2009-04-03 16:21:10 PDT
Once we are able to run unittests on incremental builds, we should have the automation run unittests on nightly and release builds also. 

Its separate work, and blocked, so filing separate bug in Future to track this.
Comment 1 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2009-07-30 18:14:44 PDT
Tweak summary to distinguish from bug#457753 and bug#372581.
Comment 2 Dietrich Ayala (:dietrich) 2009-08-18 10:59:37 PDT
Ted said this will enable unit-testing of PGO builds. Is this the case?

We want to enable PGO for a few places where it's disabled (bug 419893), but I'm loathe to do that without knowing that it'll pass the tests.
Comment 3 Ted Mielczarek [:ted.mielczarek] 2009-08-18 11:01:19 PDT
bug 457753 is a Q3 goal, I assume this (being very similar) will be fixed at the same time? Should it be un-futured?
Comment 4 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2009-08-21 13:53:18 PDT
(In reply to comment #3)
> bug 457753 is a Q3 goal, I assume this (being very similar) will be fixed at
> the same time? Should it be un-futured?

Yep, not a goal, but happening about the same time, as its similar work.

Lukas said she would take this on last week, as is similar to the work she is
doing for running unittests on nightly builds and on debug builds, but neither
of us updated the bug with that info.

Moved from Future and assigned to Lukas, to match reality.
Comment 5 Dietrich Ayala (:dietrich) 2009-08-21 15:12:58 PDT
Thanks for the update John, and thanks Lukas for working on this. PGO'd unit testing is blocking the enabling of PGO for several areas of code, which could improve application performance significantly.
Comment 6 Chris AtLee [:catlee] 2009-09-16 07:10:30 PDT
Created attachment 401012 [details] [diff] [review]
buildbotcustom changes for running unittests on nightly/depend (optimized) builds
Comment 7 Chris AtLee [:catlee] 2009-09-16 07:54:17 PDT
Created attachment 401020 [details] [diff] [review]
buildbot-configs for unittests on optimized builds
Comment 8 Ben Hearsum (:bhearsum) 2009-09-16 08:17:21 PDT
Comment on attachment 401020 [details] [diff] [review]
buildbot-configs for unittests on optimized builds

After our chat on IRC, this is fine.
Comment 9 Chris AtLee [:catlee] 2009-09-24 05:53:45 PDT
Comment on attachment 401012 [details] [diff] [review]
buildbotcustom changes for running unittests on nightly/depend (optimized) builds

changeset:   418:47b1cd1c81dc
Comment 10 Chris AtLee [:catlee] 2009-09-24 05:55:51 PDT
Comment on attachment 401020 [details] [diff] [review]
buildbot-configs for unittests on optimized builds

changeset:   1544:83db6bbf7abd
Comment 11 Chris AtLee [:catlee] 2009-09-24 11:14:23 PDT
These look like they're running properly on m-c
Comment 12 Ted Mielczarek [:ted.mielczarek] 2009-09-25 08:23:32 PDT
Please drop --enable-tests from the mozconfigs. It's the default, so having it there is redundant.
Comment 13 Nick Thomas [:nthomas] 2009-09-27 16:29:24 PDT
Created attachment 403150 [details] [diff] [review]
Fix mac nightly bustage

Today's mac m-c nightly ran out of space packaging the tests. It was asking for 5G and got 5.66G; tests seem to be about 91M unpacked so increasing it to 6G should hopefully be enough.

http://hg.mozilla.org/build/buildbot-configs/rev/3e61bd4a8509
p-m & p-m02 reconfig'd.
Comment 14 Dietrich Ayala (:dietrich) 2009-09-30 09:33:09 PDT
is this ready to be marked fixed? is this running on all branches w/ tinderboxes?
Comment 15 Dietrich Ayala (:dietrich) 2009-09-30 09:33:36 PDT
(In reply to comment #14)
> is this ready to be marked fixed? is this running on all branches w/
> tinderboxes?

(if it needs to. maybe it doesn't?)
Comment 16 Chris AtLee [:catlee] 2009-09-30 15:34:58 PDT
It's currently only running on mozilla-central.  I'd like to see it on the mozilla-1.9.2 branch, and project branches as well at some point.  Not sure if it's worth doing on the 1.9.1 branch at this point.
Comment 17 Ted Mielczarek [:ted.mielczarek] 2009-09-30 15:37:56 PDT
OS X 10.5.2 mozilla-central test opt everythingelse went green after I landed bug 518641. Yay!

OS X 10.5.2 mozilla-central test opt everythingelse is still orange for two reasons:
1) It's failing to run mochitest-a11y. Our nightly builds don't have accessibility enabled on mac, so we'll have to turn these tests off on opt builds currently.
2) One failing xpcshell test: bug 519727
Comment 18 Chris AtLee [:catlee] 2009-10-05 15:21:10 PDT
Created attachment 404698 [details] [diff] [review]
Disable mochitest-a11y on non-unittest mac builds

Neither opt nor debug builds are compiled with --enable-accessibility on mac, so running the mochitest-a11y tests will always fail.

This patch creates a new UnittestPackagedBuildFactory for mac opt and debug tests that makes sure that they don't try and run mochitest-a11y.
Comment 19 Chris AtLee [:catlee] 2009-10-20 06:26:18 PDT
Comment on attachment 404698 [details] [diff] [review]
Disable mochitest-a11y on non-unittest mac builds

changeset:   445:b6e8ad13700c
Comment 20 Chris AtLee [:catlee] 2009-10-20 10:45:39 PDT
Looks good.  Future work (e.g. running on m-1.9.2, bug 523388) will be tracked in other bugs.

Note You need to log in before you can comment on or make changes to this bug.